source: libcfa/src/Makefile.in @ 37fe352

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since 37fe352 was 37fe352, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Added proper multi-lib handling, tests still do not work and arm support is broken

  • Property mode set to 100644
File size: 27.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19
20
21VPATH = @srcdir@
22am__is_gnu_make = { \
23  if test -z '$(MAKELEVEL)'; then \
24    false; \
25  elif test -n '$(MAKE_HOST)'; then \
26    true; \
27  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
28    true; \
29  else \
30    false; \
31  fi; \
32}
33am__make_running_with_option = \
34  case $${target_option-} in \
35      ?) ;; \
36      *) echo "am__make_running_with_option: internal error: invalid" \
37              "target option '$${target_option-}' specified" >&2; \
38         exit 1;; \
39  esac; \
40  has_opt=no; \
41  sane_makeflags=$$MAKEFLAGS; \
42  if $(am__is_gnu_make); then \
43    sane_makeflags=$$MFLAGS; \
44  else \
45    case $$MAKEFLAGS in \
46      *\\[\ \   ]*) \
47        bs=\\; \
48        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
49          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
50    esac; \
51  fi; \
52  skip_next=no; \
53  strip_trailopt () \
54  { \
55    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
56  }; \
57  for flg in $$sane_makeflags; do \
58    test $$skip_next = yes && { skip_next=no; continue; }; \
59    case $$flg in \
60      *=*|--*) continue;; \
61        -*I) strip_trailopt 'I'; skip_next=yes;; \
62      -*I?*) strip_trailopt 'I';; \
63        -*O) strip_trailopt 'O'; skip_next=yes;; \
64      -*O?*) strip_trailopt 'O';; \
65        -*l) strip_trailopt 'l'; skip_next=yes;; \
66      -*l?*) strip_trailopt 'l';; \
67      -[dEDm]) skip_next=yes;; \
68      -[JT]) skip_next=yes;; \
69    esac; \
70    case $$flg in \
71      *$$target_option*) has_opt=yes; break;; \
72    esac; \
73  done; \
74  test $$has_opt = yes
75am__make_dryrun = (target_option=n; $(am__make_running_with_option))
76am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
77pkgdatadir = $(datadir)/@PACKAGE@
78pkgincludedir = $(includedir)/@PACKAGE@
79pkglibdir = $(libdir)/@PACKAGE@
80pkglibexecdir = $(libexecdir)/@PACKAGE@
81am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
82install_sh_DATA = $(install_sh) -c -m 644
83install_sh_PROGRAM = $(install_sh) -c
84install_sh_SCRIPT = $(install_sh) -c
85INSTALL_HEADER = $(INSTALL_DATA)
86transform = $(program_transform_name)
87NORMAL_INSTALL = :
88PRE_INSTALL = :
89POST_INSTALL = :
90NORMAL_UNINSTALL = :
91PRE_UNINSTALL = :
92POST_UNINSTALL = :
93subdir = src
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/../automake/cfa.m4 \
96        $(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98        $(ACLOCAL_M4)
99DIST_COMMON = $(srcdir)/Makefile.am $(nobase_cfa_include_HEADERS) \
100        $(am__DIST_COMMON)
101mkinstalldirs = $(install_sh) -d
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
105am__vpath_adj = case $$p in \
106    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
107    *) f=$$p;; \
108  esac;
109am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
110am__install_max = 40
111am__nobase_strip_setup = \
112  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
113am__nobase_strip = \
114  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
115am__nobase_list = $(am__nobase_strip_setup); \
116  for p in $$list; do echo "$$p $$p"; done | \
117  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
118  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
119    if (++n[$$2] == $(am__install_max)) \
120      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
121    END { for (dir in files) print dir, files[dir] }'
122am__base_list = \
123  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
124  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
125am__uninstall_files_from_dir = { \
126  test -z "$$files" \
127    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
128    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
129         $(am__cd) "$$dir" && rm -f $$files; }; \
130  }
131am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfa_includedir)"
132LIBRARIES = $(lib_LIBRARIES)
133AR = ar
134AM_V_AR = $(am__v_AR_@AM_V@)
135am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
136am__v_AR_0 = @echo "  AR      " $@;
137am__v_AR_1 =
138libcfa_a_AR = $(AR) $(ARFLAGS)
139libcfa_a_LIBADD =
140am__dirstamp = $(am__leading_dot)dirstamp
141am__objects_1 = fstream.$(OBJEXT) iostream.$(OBJEXT) \
142        iterator.$(OBJEXT) limits.$(OBJEXT) rational.$(OBJEXT) \
143        time.$(OBJEXT) stdlib.$(OBJEXT) common.$(OBJEXT) \
144        containers/maybe.$(OBJEXT) containers/pair.$(OBJEXT) \
145        containers/result.$(OBJEXT) containers/vector.$(OBJEXT) \
146        concurrency/coroutine.$(OBJEXT) concurrency/thread.$(OBJEXT) \
147        concurrency/kernel.$(OBJEXT) concurrency/monitor.$(OBJEXT) \
148        concurrency/mutex.$(OBJEXT)
149am__objects_2 = prelude.$(OBJEXT) startup.$(OBJEXT) \
150        interpose.$(OBJEXT) bits/debug.$(OBJEXT) assert.$(OBJEXT) \
151        exception.$(OBJEXT) virtual.$(OBJEXT) heap.$(OBJEXT) \
152        $(am__objects_1) \
153        concurrency/CtxSwitch-@ARCHITECTURE@.$(OBJEXT) \
154        concurrency/alarm.$(OBJEXT) concurrency/invoke.$(OBJEXT) \
155        concurrency/preemption.$(OBJEXT)
156am_libcfa_a_OBJECTS = $(am__objects_2)
157libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
158AM_V_P = $(am__v_P_@AM_V@)
159am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
160am__v_P_0 = false
161am__v_P_1 = :
162AM_V_GEN = $(am__v_GEN_@AM_V@)
163am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
164am__v_GEN_0 = @echo "  GEN     " $@;
165am__v_GEN_1 =
166AM_V_at = $(am__v_at_@AM_V@)
167am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
168am__v_at_0 = @
169am__v_at_1 =
170DEFAULT_INCLUDES = -I.@am__isrc@
171depcomp = $(SHELL) $(top_srcdir)/./automake/depcomp
172am__depfiles_maybe = depfiles
173am__mv = mv -f
174CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
175        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
176AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
177am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
178am__v_CPPAS_0 = @echo "  CPPAS   " $@;
179am__v_CPPAS_1 =
180COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
181        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
182AM_V_CC = $(am__v_CC_@AM_V@)
183am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
184am__v_CC_0 = @echo "  CC      " $@;
185am__v_CC_1 =
186CCLD = $(CC)
187LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
188AM_V_CCLD = $(am__v_CCLD_@AM_V@)
189am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
190am__v_CCLD_0 = @echo "  CCLD    " $@;
191am__v_CCLD_1 =
192SOURCES = $(libcfa_a_SOURCES)
193DIST_SOURCES = $(libcfa_a_SOURCES)
194am__can_run_installinfo = \
195  case $$AM_UPDATE_INFO_DIR in \
196    n|no|NO) false;; \
197    *) (install-info --version) >/dev/null 2>&1;; \
198  esac
199HEADERS = $(nobase_cfa_include_HEADERS)
200am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
201# Read a list of newline-separated strings from the standard input,
202# and print each of them once, without duplicates.  Input order is
203# *not* preserved.
204am__uniquify_input = $(AWK) '\
205  BEGIN { nonempty = 0; } \
206  { items[$$0] = 1; nonempty = 1; } \
207  END { if (nonempty) { for (i in items) print i; }; } \
208'
209# Make sure the list of sources is unique.  This is necessary because,
210# e.g., the same source file might be shared among _SOURCES variables
211# for different programs/libraries.
212am__define_uniq_tagged_files = \
213  list='$(am__tagged_files)'; \
214  unique=`for i in $$list; do \
215    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
216  done | $(am__uniquify_input)`
217ETAGS = etags
218CTAGS = ctags
219am__DIST_COMMON = $(srcdir)/../../src/cfa.make $(srcdir)/Makefile.in \
220        $(top_srcdir)/./automake/depcomp
221DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
222ACLOCAL = @ACLOCAL@
223AMTAR = @AMTAR@
224AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
225ARCHITECTURE = @ARCHITECTURE@
226ARCH_FLAGS = @ARCH_FLAGS@
227AUTOCONF = @AUTOCONF@
228AUTOHEADER = @AUTOHEADER@
229AUTOMAKE = @AUTOMAKE@
230AWK = @AWK@
231CC = @CC@
232CCAS = @CCAS@
233CCASDEPMODE = @CCASDEPMODE@
234CCASFLAGS = @CCASFLAGS@
235CCDEPMODE = @CCDEPMODE@
236CFACC = @CFACC@
237CFACPP = @CFACPP@
238CFA_BINDIR = @CFA_BINDIR@
239CFA_INCDIR = @CFA_INCDIR@
240CFA_LIBDIR = @CFA_LIBDIR@
241CFA_NAME = @CFA_NAME@
242CFA_PREFIX = @CFA_PREFIX@
243CFLAGS = @CFLAGS@
244CONFIGURATION = @CONFIGURATION@
245CPPFLAGS = @CPPFLAGS@
246CXX = @CXX@
247CXXDEPMODE = @CXXDEPMODE@
248CXXFLAGS = @CXXFLAGS@
249CYGPATH_W = @CYGPATH_W@
250DEFS = @DEFS@
251DEPDIR = @DEPDIR@
252DRIVER_DIR = @DRIVER_DIR@
253ECHO_C = @ECHO_C@
254ECHO_N = @ECHO_N@
255ECHO_T = @ECHO_T@
256EXEEXT = @EXEEXT@
257INSTALL = @INSTALL@
258INSTALL_DATA = @INSTALL_DATA@
259INSTALL_PROGRAM = @INSTALL_PROGRAM@
260INSTALL_SCRIPT = @INSTALL_SCRIPT@
261INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
262LDFLAGS = @LDFLAGS@
263LIBOBJS = @LIBOBJS@
264LIBS = @LIBS@
265LTLIBOBJS = @LTLIBOBJS@
266MAKEINFO = @MAKEINFO@
267MKDIR_P = @MKDIR_P@
268OBJEXT = @OBJEXT@
269PACKAGE = @PACKAGE@
270PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
271PACKAGE_NAME = @PACKAGE_NAME@
272PACKAGE_STRING = @PACKAGE_STRING@
273PACKAGE_TARNAME = @PACKAGE_TARNAME@
274PACKAGE_URL = @PACKAGE_URL@
275PACKAGE_VERSION = @PACKAGE_VERSION@
276PATH_SEPARATOR = @PATH_SEPARATOR@
277RANLIB = @RANLIB@
278SET_MAKE = @SET_MAKE@
279SHELL = @SHELL@
280STRIP = @STRIP@
281VERSION = @VERSION@
282abs_builddir = @abs_builddir@
283abs_srcdir = @abs_srcdir@
284abs_top_builddir = @abs_top_builddir@
285abs_top_srcdir = @abs_top_srcdir@
286ac_ct_CC = @ac_ct_CC@
287ac_ct_CXX = @ac_ct_CXX@
288am__include = @am__include@
289am__leading_dot = @am__leading_dot@
290am__quote = @am__quote@
291am__tar = @am__tar@
292am__untar = @am__untar@
293bindir = @bindir@
294build_alias = @build_alias@
295builddir = @builddir@
296datadir = @datadir@
297datarootdir = @datarootdir@
298docdir = @docdir@
299dvidir = @dvidir@
300exec_prefix = @exec_prefix@
301host_alias = @host_alias@
302htmldir = @htmldir@
303includedir = @includedir@
304infodir = @infodir@
305install_sh = @install_sh@
306libdir = ${CFA_LIBDIR}
307libexecdir = @libexecdir@
308localedir = @localedir@
309localstatedir = @localstatedir@
310mandir = @mandir@
311mkdir_p = @mkdir_p@
312oldincludedir = @oldincludedir@
313pdfdir = @pdfdir@
314prefix = @prefix@
315program_transform_name = @program_transform_name@
316psdir = @psdir@
317runstatedir = @runstatedir@
318sbindir = @sbindir@
319sharedstatedir = @sharedstatedir@
320srcdir = @srcdir@
321sysconfdir = @sysconfdir@
322target_alias = @target_alias@
323top_build_prefix = @top_build_prefix@
324top_builddir = @top_builddir@
325top_srcdir = @top_srcdir@
326
327# create object files in directory with source files
328AUTOMAKE_OPTIONS = subdir-objects
329ARFLAGS = cr
330CFACOMPILE = $(CFACC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) $(AM_CFLAGS) $(CFLAGS)
331AM_V_CFA = $(am__v_CFA_@AM_V@)
332am__v_CFA_ = $(am__v_CFA_@AM_DEFAULT_V@)
333am__v_CFA_0 = @echo "  CFA     " $@;
334am__v_CFA_1 =
335lib_LIBRARIES = libcfa.a
336
337# AM_CFLAGS for all cfa source
338# AM_CFAFLAGS for only cfa source
339# use -no-include-stdhdr to prevent rebuild cycles
340# The built sources must not depend on the installed headers
341AM_CFAFLAGS = -quiet -in-tree -B@DRIVER_DIR@ -XCFA --prelude-dir=$(top_builddir)/prelude -imacros prelude.c -I$(srcdir)/stdhdr
342AM_CFLAGS = -g -Wall -Wno-unused-function @ARCH_FLAGS@
343AM_CCASFLAGS = -g -Wall -Wno-unused-function @ARCH_FLAGS@
344
345# not all platforms support concurrency, add option do disable it
346headers = fstream iostream iterator limits rational time stdlib common \
347        containers/maybe containers/pair containers/result \
348        containers/vector concurrency/coroutine concurrency/thread \
349        concurrency/kernel concurrency/monitor concurrency/mutex
350libobjs = ${headers:=.o}
351
352# not all platforms support concurrency, add option do disable it
353libsrc = prelude.c startup.cfa interpose.cfa bits/debug.cfa assert.cfa \
354        exception.c virtual.c heap.cfa ${headers:=.cfa} \
355        concurrency/CtxSwitch-@ARCHITECTURE@.S concurrency/alarm.cfa \
356        concurrency/invoke.c concurrency/preemption.cfa
357libcfa_a_SOURCES = ${libsrc}
358stdhdr = ${shell find ${srcdir}/stdhdr -type f -printf "%p "}
359cfa_includedir = $(CFA_INCDIR)
360nobase_cfa_include_HEADERS = \
361        ${headers}              \
362        ${stdhdr}               \
363        math                    \
364        gmp                     \
365        time_t.h                \
366        bits/align.h            \
367        bits/containers.h       \
368        bits/defs.h             \
369        bits/debug.h            \
370        bits/locks.h            \
371        concurrency/invoke.h
372
373CLEANFILES = prelude.c
374all: all-am
375
376.SUFFIXES:
377.SUFFIXES: .S .c .cfa .o .obj
378$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../../src/cfa.make $(am__configure_deps)
379        @for dep in $?; do \
380          case '$(am__configure_deps)' in \
381            *$$dep*) \
382              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
383                && { if test -f $@; then exit 0; else break; fi; }; \
384              exit 1;; \
385          esac; \
386        done; \
387        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
388        $(am__cd) $(top_srcdir) && \
389          $(AUTOMAKE) --foreign src/Makefile
390Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
391        @case '$?' in \
392          *config.status*) \
393            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
394          *) \
395            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
396            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
397        esac;
398$(srcdir)/../../src/cfa.make $(am__empty):
399
400$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
401        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
402
403$(top_srcdir)/configure:  $(am__configure_deps)
404        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
405$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
406        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
407$(am__aclocal_m4_deps):
408install-libLIBRARIES: $(lib_LIBRARIES)
409        @$(NORMAL_INSTALL)
410        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
411        list2=; for p in $$list; do \
412          if test -f $$p; then \
413            list2="$$list2 $$p"; \
414          else :; fi; \
415        done; \
416        test -z "$$list2" || { \
417          echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
418          $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
419          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
420          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
421        @$(POST_INSTALL)
422        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
423        for p in $$list; do \
424          if test -f $$p; then \
425            $(am__strip_dir) \
426            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
427            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
428          else :; fi; \
429        done
430
431uninstall-libLIBRARIES:
432        @$(NORMAL_UNINSTALL)
433        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
434        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
435        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
436
437clean-libLIBRARIES:
438        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
439bits/$(am__dirstamp):
440        @$(MKDIR_P) bits
441        @: > bits/$(am__dirstamp)
442bits/$(DEPDIR)/$(am__dirstamp):
443        @$(MKDIR_P) bits/$(DEPDIR)
444        @: > bits/$(DEPDIR)/$(am__dirstamp)
445bits/debug.$(OBJEXT): bits/$(am__dirstamp) \
446        bits/$(DEPDIR)/$(am__dirstamp)
447containers/$(am__dirstamp):
448        @$(MKDIR_P) containers
449        @: > containers/$(am__dirstamp)
450containers/$(DEPDIR)/$(am__dirstamp):
451        @$(MKDIR_P) containers/$(DEPDIR)
452        @: > containers/$(DEPDIR)/$(am__dirstamp)
453containers/maybe.$(OBJEXT): containers/$(am__dirstamp) \
454        containers/$(DEPDIR)/$(am__dirstamp)
455containers/pair.$(OBJEXT): containers/$(am__dirstamp) \
456        containers/$(DEPDIR)/$(am__dirstamp)
457containers/result.$(OBJEXT): containers/$(am__dirstamp) \
458        containers/$(DEPDIR)/$(am__dirstamp)
459containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
460        containers/$(DEPDIR)/$(am__dirstamp)
461concurrency/$(am__dirstamp):
462        @$(MKDIR_P) concurrency
463        @: > concurrency/$(am__dirstamp)
464concurrency/$(DEPDIR)/$(am__dirstamp):
465        @$(MKDIR_P) concurrency/$(DEPDIR)
466        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
467concurrency/coroutine.$(OBJEXT): concurrency/$(am__dirstamp) \
468        concurrency/$(DEPDIR)/$(am__dirstamp)
469concurrency/thread.$(OBJEXT): concurrency/$(am__dirstamp) \
470        concurrency/$(DEPDIR)/$(am__dirstamp)
471concurrency/kernel.$(OBJEXT): concurrency/$(am__dirstamp) \
472        concurrency/$(DEPDIR)/$(am__dirstamp)
473concurrency/monitor.$(OBJEXT): concurrency/$(am__dirstamp) \
474        concurrency/$(DEPDIR)/$(am__dirstamp)
475concurrency/mutex.$(OBJEXT): concurrency/$(am__dirstamp) \
476        concurrency/$(DEPDIR)/$(am__dirstamp)
477concurrency/CtxSwitch-@ARCHITECTURE@.$(OBJEXT):  \
478        concurrency/$(am__dirstamp) \
479        concurrency/$(DEPDIR)/$(am__dirstamp)
480concurrency/alarm.$(OBJEXT): concurrency/$(am__dirstamp) \
481        concurrency/$(DEPDIR)/$(am__dirstamp)
482concurrency/invoke.$(OBJEXT): concurrency/$(am__dirstamp) \
483        concurrency/$(DEPDIR)/$(am__dirstamp)
484concurrency/preemption.$(OBJEXT): concurrency/$(am__dirstamp) \
485        concurrency/$(DEPDIR)/$(am__dirstamp)
486
487libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
488        $(AM_V_at)-rm -f libcfa.a
489        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
490        $(AM_V_at)$(RANLIB) libcfa.a
491
492mostlyclean-compile:
493        -rm -f *.$(OBJEXT)
494        -rm -f bits/*.$(OBJEXT)
495        -rm -f concurrency/*.$(OBJEXT)
496        -rm -f containers/*.$(OBJEXT)
497
498distclean-compile:
499        -rm -f *.tab.c
500
501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exception.Po@am__quote@
502@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/prelude.Po@am__quote@
503@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/virtual.Po@am__quote@
504@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/CtxSwitch-@ARCHITECTURE@.Po@am__quote@
505@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/invoke.Po@am__quote@
506
507.S.o:
508@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
509@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
510@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
511@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
512@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
514
515.S.obj:
516@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
517@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
518@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
519@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
520@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
522
523.c.o:
524@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
525@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
526@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
527@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
528@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
529@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
530
531.c.obj:
532@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
533@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
534@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
535@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
536@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
537@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
538install-nobase_cfa_includeHEADERS: $(nobase_cfa_include_HEADERS)
539        @$(NORMAL_INSTALL)
540        @list='$(nobase_cfa_include_HEADERS)'; test -n "$(cfa_includedir)" || list=; \
541        if test -n "$$list"; then \
542          echo " $(MKDIR_P) '$(DESTDIR)$(cfa_includedir)'"; \
543          $(MKDIR_P) "$(DESTDIR)$(cfa_includedir)" || exit 1; \
544        fi; \
545        $(am__nobase_list) | while read dir files; do \
546          xfiles=; for file in $$files; do \
547            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
548            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
549          test -z "$$xfiles" || { \
550            test "x$$dir" = x. || { \
551              echo " $(MKDIR_P) '$(DESTDIR)$(cfa_includedir)/$$dir'"; \
552              $(MKDIR_P) "$(DESTDIR)$(cfa_includedir)/$$dir"; }; \
553            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(cfa_includedir)/$$dir'"; \
554            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(cfa_includedir)/$$dir" || exit $$?; }; \
555        done
556
557uninstall-nobase_cfa_includeHEADERS:
558        @$(NORMAL_UNINSTALL)
559        @list='$(nobase_cfa_include_HEADERS)'; test -n "$(cfa_includedir)" || list=; \
560        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
561        dir='$(DESTDIR)$(cfa_includedir)'; $(am__uninstall_files_from_dir)
562
563ID: $(am__tagged_files)
564        $(am__define_uniq_tagged_files); mkid -fID $$unique
565tags: tags-am
566TAGS: tags
567
568tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
569        set x; \
570        here=`pwd`; \
571        $(am__define_uniq_tagged_files); \
572        shift; \
573        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
574          test -n "$$unique" || unique=$$empty_fix; \
575          if test $$# -gt 0; then \
576            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
577              "$$@" $$unique; \
578          else \
579            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
580              $$unique; \
581          fi; \
582        fi
583ctags: ctags-am
584
585CTAGS: ctags
586ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
587        $(am__define_uniq_tagged_files); \
588        test -z "$(CTAGS_ARGS)$$unique" \
589          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
590             $$unique
591
592GTAGS:
593        here=`$(am__cd) $(top_builddir) && pwd` \
594          && $(am__cd) $(top_srcdir) \
595          && gtags -i $(GTAGS_ARGS) "$$here"
596cscopelist: cscopelist-am
597
598cscopelist-am: $(am__tagged_files)
599        list='$(am__tagged_files)'; \
600        case "$(srcdir)" in \
601          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
602          *) sdir=$(subdir)/$(srcdir) ;; \
603        esac; \
604        for i in $$list; do \
605          if test -f "$$i"; then \
606            echo "$(subdir)/$$i"; \
607          else \
608            echo "$$sdir/$$i"; \
609          fi; \
610        done >> $(top_builddir)/cscope.files
611
612distclean-tags:
613        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
614
615distdir: $(DISTFILES)
616        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
617        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
618        list='$(DISTFILES)'; \
619          dist_files=`for file in $$list; do echo $$file; done | \
620          sed -e "s|^$$srcdirstrip/||;t" \
621              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
622        case $$dist_files in \
623          */*) $(MKDIR_P) `echo "$$dist_files" | \
624                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
625                           sort -u` ;; \
626        esac; \
627        for file in $$dist_files; do \
628          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
629          if test -d $$d/$$file; then \
630            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
631            if test -d "$(distdir)/$$file"; then \
632              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
633            fi; \
634            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
635              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
636              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
637            fi; \
638            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
639          else \
640            test -f "$(distdir)/$$file" \
641            || cp -p $$d/$$file "$(distdir)/$$file" \
642            || exit 1; \
643          fi; \
644        done
645check-am: all-am
646check: check-am
647all-am: Makefile $(LIBRARIES) $(HEADERS)
648installdirs:
649        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfa_includedir)"; do \
650          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
651        done
652install: install-am
653install-exec: install-exec-am
654install-data: install-data-am
655uninstall: uninstall-am
656
657install-am: all-am
658        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
659
660installcheck: installcheck-am
661install-strip:
662        if test -z '$(STRIP)'; then \
663          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
664            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
665              install; \
666        else \
667          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
668            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
669            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
670        fi
671mostlyclean-generic:
672
673clean-generic:
674        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
675
676distclean-generic:
677        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
678        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
679        -rm -f bits/$(DEPDIR)/$(am__dirstamp)
680        -rm -f bits/$(am__dirstamp)
681        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
682        -rm -f concurrency/$(am__dirstamp)
683        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
684        -rm -f containers/$(am__dirstamp)
685
686maintainer-clean-generic:
687        @echo "This command is intended for maintainers to use"
688        @echo "it deletes files that may require special tools to rebuild."
689clean: clean-am
690
691clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
692
693distclean: distclean-am
694        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR)
695        -rm -f Makefile
696distclean-am: clean-am distclean-compile distclean-generic \
697        distclean-tags
698
699dvi: dvi-am
700
701dvi-am:
702
703html: html-am
704
705html-am:
706
707info: info-am
708
709info-am:
710
711install-data-am: install-nobase_cfa_includeHEADERS
712
713install-dvi: install-dvi-am
714
715install-dvi-am:
716
717install-exec-am: install-libLIBRARIES
718
719install-html: install-html-am
720
721install-html-am:
722
723install-info: install-info-am
724
725install-info-am:
726
727install-man:
728
729install-pdf: install-pdf-am
730
731install-pdf-am:
732
733install-ps: install-ps-am
734
735install-ps-am:
736
737installcheck-am:
738
739maintainer-clean: maintainer-clean-am
740        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR)
741        -rm -f Makefile
742maintainer-clean-am: distclean-am maintainer-clean-generic \
743        maintainer-clean-local
744
745mostlyclean: mostlyclean-am
746
747mostlyclean-am: mostlyclean-compile mostlyclean-generic
748
749pdf: pdf-am
750
751pdf-am:
752
753ps: ps-am
754
755ps-am:
756
757uninstall-am: uninstall-libLIBRARIES \
758        uninstall-nobase_cfa_includeHEADERS
759
760.MAKE: install-am install-strip
761
762.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
763        clean-libLIBRARIES cscopelist-am ctags ctags-am distclean \
764        distclean-compile distclean-generic distclean-tags distdir dvi \
765        dvi-am html html-am info info-am install install-am \
766        install-data install-data-am install-dvi install-dvi-am \
767        install-exec install-exec-am install-html install-html-am \
768        install-info install-info-am install-libLIBRARIES install-man \
769        install-nobase_cfa_includeHEADERS install-pdf install-pdf-am \
770        install-ps install-ps-am install-strip installcheck \
771        installcheck-am installdirs maintainer-clean \
772        maintainer-clean-generic maintainer-clean-local mostlyclean \
773        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
774        tags tags-am uninstall uninstall-am uninstall-libLIBRARIES \
775        uninstall-nobase_cfa_includeHEADERS
776
777.PRECIOUS: Makefile
778
779
780.cfa.o: $(CFACC) $(CFACPP)
781        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
782        $(CFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
783        $(am__mv) $$depbase.Tpo $$depbase.Po
784
785# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
786# SKULLDUGGERY in order to make sure this isn't called make the rule always fail but also create a rule for headers
787% : %.c
788        echo "Dummy rule, should never be called"
789        false
790
791# This rule should always match headers and since it has no prerequisite it will never be called
792$(addprefix $(srcdir)/,$(headers)):
793        echo "Dummy rule, should never be called"
794        false
795
796${libobjs} : ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
797
798maintainer-clean-local:
799        -rm -rf ${CFA_INCDIR} ${CFA_LIBDIR}
800
801# Tell versions [3.59,3.63) of GNU make to not export all variables.
802# Otherwise a system limit (for SysV at least) may be exceeded.
803.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.